/*Mise en forme des données des capteurs pour 
 *les faire rentrée sur la trame LoRa qui sont au format byte.
 *procédure:
 **conversion chaine de caractère vers double.
 **Arrondie au range voulue de double
 **conversion du double en Int ou Uint( multipication par 10^x 
 *pour ne plus avoir de chiffre aprés la virgule )
 *
 *Théo Guiguitant Polytech grenoble 2019. 
 *Projet collectif de la serre Bioponique de polytech grenoble. 
 *
 */

#ifndef STR_TO_NUM_H
#define STR_TO_NUM_H
#include "mbed.h"


class str_to_num
{
public:
    str_to_num(){}
    uint8_t PH_uint(const char mesure[5]);
    int16_t Temp_int(const char mesure[8]);
    uint16_t Oxy_int(const char mesure[6]);
    uint16_t Cond_int(const char mesure[6]);
    
};
#endif //STR_TO_NUM_H
